from btool.Defines import *

# Please contact ng-bedrock-core if you need to update this file.

Component (
    name            = 'run_configure@log4shib',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    imports         = (
        'headers@bsd_net',
        'libcxx@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
        'stdhdrs_cplus@freebsd',
    ),
)

Component (
    name            = 'headers@log4shib',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    imports         = (
        'run_configure@log4shib',
        'btool@coverityconfig',
    ),
)

Component (
    name            = 'build_configure@log4shib',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    imports         = (
        'headers@bsd_net',
        'run_configure@log4shib',
        'libcxx@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
        'stdhdrs_cplus@freebsd',
    ),
)

Component (
    name            = 'ulibso@log4shib',
    variants        = (
        'x86_64',
        Config.coverity_variant,
    ),
    imports         = (
        'build_configure@log4shib',
    ),
)

Component (
    name            = 'manifest@log4shib',
    imports         = (
        'ulibso@log4shib',
    ),
)

Component (
    name            = 'coverity@log4shib',
    variants        = (
        Config.coverity_variant,
    ),
    imports         = (
        'build_configure@log4shib',
        'ulibso@log4shib',
    ),
)

Component (
    name            = 'audit_ownership@log4shib',
)
